#define BACKSPACE 0x08
#define TAB 0x09
#define ENTER 0x0a
#define ESCAPE 0x1b
enum special_chars {
   RIGHT=0x1000, 
     LEFT, 
     DOWN, 
     UP, 
     CONTROL,
     ALT, 
     SHIFT,
     CAPS,
     OPTION
};

void init_key(void);
void close_key(void);
int get_key(int timeout);
